/*
File: MasterMessage.java
Date		Author		Changes
Aug 22 96	Lukasz Beca	Created
*/

package webwisdom.tango.messages;

import webwisdom.tango.consts.Const;
import webwisdom.tango.messages.Message;
import java.io.*;

/**
 * A class representing MASTER message 
 * 
 *@author Lukasz Beca
 *@see Central Server - Local Demon protocol
 **/

public class MasterMessage extends Message {
  
  private int SID;

/**
   * Creates a new MASTER message
   *@param SIDparam session number
   **/

  public MasterMessage(int SIDparam) {

    SID = SIDparam;
    type = Const.MASTER;
  }

 /**
   * Creates a new MASTER message, information is read from the input stream
   *@param instream  input stream
   **/

  MasterMessage(DataInputStream instream) throws IOException {
    

    SID = instream.readInt();
  
    type = Const.MASTER;
    
  }

/**

   * Writes MASTER  message to the output stream
   *@param outstream  output stream
   **/

  void send(DataOutputStream outstream) throws IOException {
     
    outstream.writeInt(Const.MASTER);
    outstream.writeInt(SID);
    outstream.flush();   

  }

/**
   * Returns session number
   **/ 
  

  public int getSID() {

    return SID;
  }

}
